###################################################
### chunk number 1: 
###################################################
#line 103 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
options(prompt = "R> ", continue = "+ ")


###################################################
### chunk number 2: 
###################################################
#line 717 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
## set output line size
options(width = 65)
library(interval)
library(coin)


###################################################
### chunk number 3: 
###################################################
#line 724 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
library("interval")
data("bcos", package = "interval")
head(bcos)


###################################################
### chunk number 4: 
###################################################
#line 737 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
fit1<-icfit(Surv(left, right, type = "interval2")~treatment, data = bcos)
summary(fit1)


###################################################
### chunk number 5: 
###################################################
#line 760 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
plot(fit1)


###################################################
### chunk number 6: 
###################################################
#line 776 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
icout<-ictest(Surv(left, right, type = "interval2")~treatment, data = bcos)
icout


###################################################
### chunk number 7: 
###################################################
#line 789 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
plot(fit1, dtype = "link")


###################################################
### chunk number 8: 
###################################################
#line 804 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
ictest(Surv(left, right, type = "interval2")~treatment, data = bcos, 
initfit = icout$fit, scores = "logrank2")


###################################################
### chunk number 9: 
###################################################
#line 811 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
L<-with(bcos, left)
R<-with(bcos, right)
trt<-with(bcos, treatment) 
ictest(L, R, trt, scores = "wmw", initfit = icout$fit)


###################################################
### chunk number 10: 
###################################################
#line 824 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
set.seed(1232)


###################################################
### chunk number 11: 
###################################################
#line 827 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
fakeTrtGrps<-sample(letters[1:4], nrow(bcos), replace = TRUE)
ictest(L, R, fakeTrtGrps)


###################################################
### chunk number 12: 
###################################################
#line 836 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
set.seed(931)


###################################################
### chunk number 13: 
###################################################
#line 839 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
fakeZ<-rnorm(nrow(bcos))
ictest(L, R, fakeZ, alternative = "less")


###################################################
### chunk number 14: 
###################################################
#line 848 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
ictest(Surv(left, right, type = "interval2")~treatment, data = bcos, exact = TRUE, scores = "logrank1")


###################################################
### chunk number 15: 
###################################################
#line 864 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
ictest(Surv(left, right, type = "interval2")~treatment, data = bcos, initfit = icout$fit, method = "scoretest", scores = "logrank2")


###################################################
### chunk number 16: 
###################################################
#line 872 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
icoutHLY<-ictest(Surv(left, right, type = "interval2")~treatment, data = bcos, initfit = icout$fit, method = "wsr.HLY",    mcontrol = mControl(nwsr = 99), scores = "logrank1")
icoutHLY


###################################################
### chunk number 17: 
###################################################
#line 884 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
icoutHLY$fit$anypzero


###################################################
### chunk number 18: 
###################################################
#line 964 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
data("ChickWeight", package = "datasets")
head(ChickWeight)


###################################################
### chunk number 19: 
###################################################
#line 978 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
permTS(weight~Diet, data = ChickWeight, subset = Diet %in% c(3, 4) & Time == 21)


###################################################
### chunk number 20: 
###################################################
#line 982 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
y3<-with(subset(ChickWeight, Time == 21 & Diet == 3), weight)
y4<-with(subset(ChickWeight, Time == 21 & Diet == 4), weight)
permTS(y3, y4)


###################################################
### chunk number 21: 
###################################################
#line 993 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
permTS(y3[1:5], y4[1:5])


###################################################
### chunk number 22: 
###################################################
#line 1019 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
permKS(weight~Diet, data = ChickWeight, subset = Time == 21)


###################################################
### chunk number 23: 
###################################################
#line 1023 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
y<-ChickWeight[ChickWeight$Time == 21, "weight"]
g<-ChickWeight[ChickWeight$Time == 21, "Diet"]
permKS(y, g)


###################################################
### chunk number 24: 
###################################################
#line 1035 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
permTREND(y, as.numeric(g))


###################################################
### chunk number 25: 
###################################################
#line 1052 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
## set output line size
options(width = 65)


###################################################
### chunk number 26: 
###################################################
#line 1056 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
system.time(cm19c10<-chooseMatrix(length(y3)+length(y4),   length(y3)))
system.time(PC<-permControl(cm = cm19c10))
system.time(permTS(y3, y4, method = "exact.ce", control = PC))
system.time(permTS(y3, y4, method = "exact.network"))


###################################################
### chunk number 27: 
###################################################
#line 1177 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
icout<-ictest(Surv(left, right, type = "interval2")~treatment, data = bcos, scores = "wmw")
wmw.scores<-icout$scores
logistic.scores<-ictest(Surv(left, right, type = "interval2")~treatment, data = bcos,    icFIT = icout$fit, scores = "general", dqfunc = function(x){ dlogis(qlogis(x))})$scores
max(abs(wmw.scores-logistic.scores))


###################################################
### chunk number 28: 
###################################################
#line 1214 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
library("coin")
independence_test(Surv(left, right, type = "interval2")~treatment, data = bcos, ytrafo = wlr_trafo)


###################################################
### chunk number 29: 
###################################################
#line 1221 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
SUBSET<-c(1:5, 50:65)
independence_test(Surv(left, right, type = "interval2")~treatment, data = bcos, subset = SUBSET, ytrafo = wlr_trafo, distribution = exact())
ictest(Surv(left, right, type = "interval2")~treatment, data = bcos, subset = SUBSET, method = "exact.network")


###################################################
### chunk number 30: 
###################################################
#line 1231 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
ictest(Surv(left, right, type = "interval2")~treatment, data = bcos, subset = SUBSET, method = "exact.network", mcontrol = mControl(tsmethod = "abs"))


###################################################
### chunk number 31: 
###################################################
#line 1235 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
SUBSET2<-c(1:12, 47:58)
system.time(
independence_test(Surv(left, right, type = "interval2")~treatment, data = bcos, subset = SUBSET2, ytrafo = wlr_trafo, distribution = exact())
)
system.time(
ictest(Surv(left, right, type = "interval2")~treatment, data = bcos, subset = SUBSET2, method = "exact.network", mcontrol = mControl(tsmethod = "abs"))
)


###################################################
### chunk number 32: 
###################################################
#line 1254 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
L<-c(2, 5, 1, 1, 9, 8, 10)
R<-c(3, 6, 7, 7, 12, 10, 13)
group<-c(0, 0, 1, 1, 0, 1, 0)
example1<-data.frame(L, R, group)
example1


###################################################
### chunk number 33: 
###################################################
#line 1279 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
summary(icfit(L, R), digits = 12)


###################################################
### chunk number 34: 
###################################################
#line 1283 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
print(3/14, digits = 12)


###################################################
### chunk number 35: 
###################################################
#line 1309 "d:/Rcompile/CRANpkg/local/2.12/interval/inst/doc/intervalCensoring.Rnw"
score1<-wlr_trafo(Surv(L, R, type = "interval2"))
cm<-chooseMatrix(7, 3)
T<- ( (1-cm) %*% score1 )/4 - ( cm %*% score1 )/3   
cbind(cm, T)[order(T), ][1:9, ]


